Class | TrueClass
In: | lib/sequel/extensions/blank.rb lib/sequel/extensions/sql_expr.rb
Parent: | Object

### Methods

blank? sql_expr

### Public Instance methods

blank?()

true is never blank

[Source]

        # File lib/sequel/extensions/blank.rb, line 40
    40:   def blank?
    41:     false
    42:   end

sql_expr()

Returns a copy of the object wrapped in a Sequel::SQL::BooleanExpression, allowing easy use of Sequel‘s DSL:

      true.sql_expr | :a  # TRUE OR a

[Source]

         # File lib/sequel/extensions/sql_expr.rb, line 118
    118:   def sql_expr
    119:     Sequel::SQL::BooleanExpression.new(:NOOP, self)
    120:   end

[Validate]